%define libgnomecanvas_version 2.6.0
%define gtkmm_version 2.4.0

%define major	1
%define api_version 2.6

%define pkgname	libgnomecanvasmm
%define libname_orig	%mklibname gnomecanvasmm %api_version
%define libname		%mklibname gnomecanvasmm %api_version %{major}
%define develname %mklibname -d gnomecanvasmm %api_version

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		%{pkgname}%{api_version}
Summary:	A C++ interface for GNOME 2 canvas library
Version:	2.26.0
Release:	%mkrel 17
License:	LGPLv2+
Group:		System/Libraries
URL:		http://gtkmm.sourceforge.net/
Source:		https://download.gnome.org/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.bz2

BuildRequires:	pkgconfig(gtkmm-2.4) >= %{gtkmm_version}
BuildRequires:	pkgconfig(libgnomecanvas-2.0) >= %{libgnomecanvas_version}
BuildRequires:	doxygen

%description
This package provides a C++ interface for GNOME canvas library.  It is a
subpackage of the gnomemm project.  The interface provides a convenient
interface for C++ programmers to create GNOME GUIs with GTK+'s flexible
object-oriented framework.

%package	-n %{libname}
Summary:	A C++ interface for GNOME 2 canvas library
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}
Provides:	%{pkgname} = %{version}-%{release}

%description	-n %{libname}
This package provides a C++ interface for GNOME canvas library.  It is a
subpackage of the gnomemm project.  The interface provides a convenient
interface for C++ programmers to create GNOME GUIs with GTK+'s flexible
object-oriented framework.

%package	-n %develname
Summary:	Headers and development files of GNOME 2 canvas library
Group:		Development/GNOME and GTK+
Provides:	%name-devel = %{version}-%{release}
Provides:	%{pkgname}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes: %mklibname -d gnomecanvasmm %api_version 1

%description	-n %develname
This package contains the headers and various development files needed
for compiling or development of applications that wants C++ interface
of GNOME 2 canvas library.

%package	doc
Summary:	Documentation of %{pkgname} library
Group:		Documentation

%description	doc
This package provides API documentation of %{pkgname} library.

%prep
%setup -q -n %{pkgname}-%{version}

%build
export CXXFLAGS="%{optflags} -std=gnu++11"
%configure --disable-static
%make_build

### Build doc
pushd docs/reference
  perl -pi -e 's/^(HAVE_DOT.*=) YES$/$1 NO/' Doxyfile
  %__make all
popd

%install
%make_install

find %buildroot -name '*.la' -delete

%files -n %{libname}
%doc COPYING README
%{_libdir}/libgnomecanvasmm-%{api_version}.so.%{major}{,.*}

%files -n %develname
%doc AUTHORS COPYING ChangeLog NEWS
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/%{pkgname}-%{api_version}
%{_libdir}/pkgconfig/*.pc

%files doc
%doc docs/reference/html


%changelog
* Wed Aug 05 2020 joequant <joequant> 2.26.0-17.mga8
+ Revision: 1611081
- bump version
- revert arm fix

* Thu Feb 13 2020 umeabot <umeabot> 2.26.0-16.mga8
+ Revision: 1514111
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.26.0-15.mga7
+ Revision: 1298877
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 2.26.0-14.mga7
+ Revision: 1234090
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Thu Feb 11 2016 umeabot <umeabot> 2.26.0-13.mga6
+ Revision: 955469
- Mageia 6 Mass Rebuild

* Mon Aug 24 2015 wally <wally> 2.26.0-12.mga6
+ Revision: 869059
- build with -std=gnu++11

* Wed Oct 15 2014 umeabot <umeabot> 2.26.0-11.mga5
+ Revision: 739665
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.26.0-10.mga5
+ Revision: 681496
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.26.0-9.mga4
+ Revision: 507012
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.26.0-8.mga3
+ Revision: 357254
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 ennael <ennael> 2.26.0-7.mga3
+ Revision: 305612
- Documentation group

* Tue Feb 14 2012 ovitters <ovitters> 2.26.0-6.mga2
+ Revision: 208777
- clean spec
+ fwang <fwang>
- do not ship .la files

* Thu Feb 03 2011 dmorgan <dmorgan> 2.26.0-4.mga1
+ Revision: 46578
- Remove mdv macros
- imported package libgnomecanvasmm2.6

